﻿using MyBookshelf.ViewModel;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Xamarin.Forms;

namespace MyBookshelf
{
    public partial class MainPage : ContentPage
    {
        public MainPage()
        {
            InitializeComponent();
            this.ViewModel = new BookViewModel();
            this.BindingContext = this.ViewModel;

        }

        private BookViewModel ViewModel { get; set; }

        protected async override void OnAppearing()
        {
            base.OnAppearing();
            if (this.ViewModel.IsUserAuthenticated == false)
            {
                await this.ViewModel.LoginAsync();
            }
        }
    }
}
