﻿using Microsoft.Azure.Mobile;
using Microsoft.Azure.Mobile.Analytics;
using Microsoft.Azure.Mobile.Crashes;
using MyBookshelf.DataAccess;
using MyBookshelf.Model;
using Xamarin.Forms;

namespace MyBookshelf
{
    public partial class App : Application
    {
        internal static DataManager DataManager;
        public App()
        {
            InitializeComponent();                       
            DataManager = new DataManager(Constants.BaseUrl);
            MainPage = new MyBookshelf.MainPage();
        }

        // Requires following using directives
        // using Microsoft.Azure.Mobile;
        // using Microsoft.Azure.Mobile.Analytics;
        // using Microsoft.Azure.Mobile.Crashes;
        protected override void OnStart()
        {
            MobileCenter.Start("android={Your Android App secret here};" +
                   "ios={Your iOS App secret here}",
                   typeof(Analytics), typeof(Crashes));
            
        }

        protected override void OnSleep()
        {
            // Handle when your app sleeps
        }

        protected override void OnResume()
        {
            // Handle when your app resumes
        }
    }
}
